libmspub::EscherContainerInfo Struct Reference documentation

Public Attributes | List of all members
libmspub::EscherContainerInfo Struct Reference

`#include <MSPUBTypes.h>`

## Public Attributes
unsigned short | initial
unsigned short | type
unsigned long | contentsLength
unsigned long | contentsOffset

## Member Data Documentation

## ◆ contentsLength

unsigned long libmspub::EscherContainerInfo::contentsLength

Referenced by libmspub::MSPUBParser::extractEscherValues(), libmspub::MSPUBParser::extractFOPTValues(), libmspub::MSPUBParser::findEscherContainer(), libmspub::MSPUBParser::findEscherContainerWithTypeInSet(), libmspub::MSPUBParser::parseEscher(), libmspub::MSPUBParser::parseEscherContainer(), libmspub::MSPUBParser::parseEscherDelay(), and libmspub::MSPUBParser::parseShapeGroup().

## ◆ contentsOffset

unsigned long libmspub::EscherContainerInfo::contentsOffset

Referenced by libmspub::MSPUBParser::extractEscherValues(), libmspub::MSPUBParser::extractFOPTValues(), libmspub::MSPUBParser::findEscherContainer(), libmspub::MSPUBParser::findEscherContainerWithTypeInSet(), libmspub::MSPUBParser::parseEscher(), libmspub::MSPUBParser::parseEscherContainer(), libmspub::MSPUBParser::parseEscherDelay(), libmspub::MSPUBParser::parseEscherShape(), and libmspub::MSPUBParser::parseShapeGroup().

## ◆ initial

unsigned short libmspub::EscherContainerInfo::initial

Referenced by libmspub::MSPUBParser::extractFOPTValues(), libmspub::MSPUBParser::parseEscher(), libmspub::MSPUBParser::parseEscherContainer(), libmspub::MSPUBParser::parseEscherDelay(), and libmspub::MSPUBParser::parseEscherShape().

## ◆ type

unsigned short libmspub::EscherContainerInfo::type

Referenced by libmspub::MSPUBParser::extractEscherValues(), libmspub::MSPUBParser::findEscherContainer(), libmspub::MSPUBParser::findEscherContainerWithTypeInSet(), libmspub::MSPUBParser::parseEscher(), libmspub::MSPUBParser::parseEscherContainer(), libmspub::MSPUBParser::parseEscherDelay(), libmspub::MSPUBParser::parseEscherShape(), and libmspub::MSPUBParser::parseShapeGroup().

The documentation for this struct was generated from the following file:

- MSPUBTypes.h